#include <stdio.h>
#include <stdlib.h>

int main()
{
    long n, x, i;
    scanf("%ld %ld", &n, &x);
    long a[n], res=0;
    for(i=0; i<n; i++)scanf("%ld", &a[i]);
    long maxL=0, maxR=0;
    for(i=0; i<n; i++){
        long b=abs(x-a[i]);
        if(a[i]<x&&b>maxL)maxL=b;
        else if(b>maxR)maxR=b;
    }
    if(maxL*maxR!=0){
        if(maxL<maxR)res=2*maxL+maxR;
        else res=2*maxR+maxL;
    }else res=maxL+maxR;
    printf("%ld", res);
    return 0;
}